curl --request GET \
--url https://restapi.sign.plus/v2/envelope/{envelope_id}/annotations \
--header 'Authorization: Bearer <token>'import requests
url = "https://restapi.sign.plus/v2/envelope/{envelope_id}/annotations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://restapi.sign.plus/v2/envelope/{envelope_id}/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"recipient_id": "<string>",
"document_id": "<string>",
"page": 123,
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"required": true,
"type": "TEXT",
"signature": {
"id": "<string>"
},
"initials": {
"id": "<string>"
},
"text": {
"size": 123,
"color": 123,
"value": "<string>",
"tooltip": "<string>",
"dynamic_field_name": "<string>",
"font": {
"family": "UNKNOWN",
"italic": true,
"bold": true
}
},
"datetime": {
"size": 123,
"font": {
"family": "UNKNOWN",
"italic": true,
"bold": true
},
"color": "<string>",
"auto_fill": true,
"timezone": "<string>",
"timestamp": 123,
"format": "DMY_NUMERIC_SLASH"
},
"checkbox": {
"checked": true,
"style": "CIRCLE_CHECK"
}
}
]Get envelope annotations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the envelope
Response
List of annotations retrieved successfully
Unique identifier of the annotation
ID of the recipient
ID of the document
Page number where the annotation is placed
X coordinate of the annotation (in % of the page width from 0 to 100) from the top left corner
Y coordinate of the annotation (in % of the page height from 0 to 100) from the top left corner
Width of the annotation (in % of the page width from 0 to 100)
Height of the annotation (in % of the page height from 0 to 100)
Whether the annotation is required
Type of the annotation
TEXT, SIGNATURE, INITIALS, CHECKBOX, DATE Signature annotation (null if annotation is not a signature)
Show child attributes
Show child attributes
Initials annotation (null if annotation is not initials)
Show child attributes
Show child attributes
Text annotation (null if annotation is not a text)
Show child attributes
Show child attributes
Date annotation (null if annotation is not a date)
Show child attributes
Show child attributes
Checkbox annotation (null if annotation is not a checkbox)
Show child attributes
Show child attributes